/*
 * Band.java
 *
 * Created on 1  2001 ., 13:49
 */

package com.fn.repway;


import java.util.*;


/**
 *
 * @author  asso
 * @version 
 */
public class Band {

    private List frontSide = new LinkedList();
    private List backSide = new LinkedList();
    
    private double width;
    private double height;
    
    public Band() {
        width = -1.0;
        height = -1.0;
    }
    
    /** Creates new Band */
    public Band(double width, double height) {
        this.width = width;
        this.height = height;
    }

    public void addToFront(Primitive prim) {
        frontSide.add(prim);
    }

    public void addToBack(Primitive prim) {
        backSide.add(prim);
    }

    public void add(boolean front, Primitive prim) {
        if (front)
            addToFront(prim);
        else
            addToBack(prim);
    }
    
    public List getFrontSide() {
        return frontSide;
    }
    
    public List getBackSide() {
        return backSide;
    }
    
    public double getWidth() {
        return width;
    }
    
    public double getHeight() {
        return height;
    }
}
