/*
 * ElementFactory.java
 *
 * Created on 9  2001 ., 18:09
 */

package com.fn.repway;

/**
 *
 * @author  asso
 * @version 
 */
class ElementFactory {
    static RepElement createElement(Report report, org.w3c.dom.Element tag) throws RepException {
        String s = tag.getTagName();
        if (s.equals("label"))
            return new Label(tag);
        else if (s.equals("line"))
            return new Line(tag);
        else if (s.equals("frame"))
            return new Frame(tag);
        else if (s.equals("image"))
            return new Picture(report, tag);
        else if (s.equals("varop"))
            return new VarOp(tag);
        else if (s.equals("fromSection"))
            return new SectionMerger(tag);
        else if (s.equals("histogram"))
            return new Hystogram(tag);
        else if (s.equals("piechart"))
            return new PieChart(tag);
        else
            throw new RepException("Invalid element '" + s + "'");
    }
}
