/*
 * AxisStylesFactory.java
 *
 * Created on 26  2003 ., 14:27
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class HistDrawerFactory {

    public static HistDrawer getAxisDrawer(String name, Element tag) throws RepException {
        if (name.equals("3d"))
            return new ThreeDHistDrawer(tag);
        else if (name.equals("flat"))
            return new FlatHistDrawer(tag);
        throw new RepException("Invalid axis drawer '" + name + "'");
    }
    
}
