/*
 * PieChart.java
 *
 * Created on 12  2003 ., 14:15
 */

package com.fn.repway;


import java.awt.Color;
import java.awt.geom.Rectangle2D;
import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class PieChart extends RepElement {
    
    private Rectangle2D.Double graphArea;
    private Rectangle2D.Double legendArea;
    private String fieldName;
    private String dataSetName;
    
    /** Creates a new instance of PieChart */
    public PieChart(Element tag) throws RepException {
        super(tag);
        graphArea = XMLUtils.getRectAttribs(XMLUtils.getSubTag(tag, "graphArea"), 
                0.0, 0.0, width, height, left, top);
        legendArea = XMLUtils.getRectAttribs(XMLUtils.getSubTag(tag, "legendArea"), 
                0.0, 0.0, width, height, left, top);
    }
    
    private class Sector {
        private double value;
        private Color color;
    }
    
    public void generate(GenContext ctx, Band band, boolean front) throws RepException {
    }
    
}
