/*
 * PrimitivesFactory.java
 *
 * Created on 14  2003 ., 17:21
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 */
public class PrimitivesFactory {

    public static Primitive create(GeneratedReport report, String name, 
                Element tag) throws RepException 
    {
        if (name.equals("frame"))
            return new CompFrame(tag);
        else if (name.equals("bar"))
            return new CompBar(tag);
        else if (name.equals("label"))
            return new CompLabel(tag);
        else if (name.equals("image"))
            return new CompImage(report, tag);
        else if (name.equals("line"))
            return new CompLine(tag);
        else if (name.equals("poly"))
            return new CompPoly(tag);
        throw new RepException("Unknown primitive type: '" + name + "'");
    }
    
}
