/*
 * Border.java
 *
 * Created on 17  2001 ., 14:08
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 * @version 
 */
public class Border {

    private double left;
    private double right;
    private double top;
    private double bottom;
    
    /** Creates new Border */
    public Border() {
        left = 10.0;
        right = 10.0;
        top = 10.0;
        bottom = 10.0;
    }
    
    public Border(double borderLeft, double borderRight, double borderTop, double borderBottom) {
        this.left = borderLeft;
        this.right = borderRight;
        this.top = borderTop;
        this.bottom = borderBottom;
    }

    public Border(Element tag) throws RepException {
        parseBorder(tag);
    }
    
    private void parseBorder(Element tag) throws RepException {
        left = XMLUtils.getAttrib(tag, "left", 0.0);
        right = XMLUtils.getAttrib(tag, "right", 0.0);
        top = XMLUtils.getAttrib(tag, "top", 0.0);
        bottom = XMLUtils.getAttrib(tag, "bottom", 0.0);
    }
    
    public double getLeft() {
        return left;
    }
    
    public double getRight() {
        return right;
    }
    
    public double getTop() {
        return top;
    }
    
    public double getBottom() {
        return bottom;
    }
}
