/*
 * FieldFactory.java
 *
 * Created on 3  2001 ., 14:02
 */

package com.fn.repway;


import org.w3c.dom.Element;


/**
 *
 * @author  asso
 * @version 
 */
public class FieldFactory {

    public static DataField createField(String type, Element tag) throws RepException {
        if (type.equals("value"))
            return new ValueField(tag);
        else if (type.equals("money"))
            return new MoneyFormatter(tag);
        else if (type.equals("timeint"))
            return new TimeIntFormatter(tag);
        else if (type.equals("float"))
            return new FloatFormatter(tag);
        else if (type.equals("text"))
            return new TextFormatter(tag);
        else if (type.equals("varop"))
            return new VarOp(tag);
        else
            throw new RepException("Invalid field type '" + type + "'");
    }

}
