/*
 * HexInputStream.java
 *
 * Created on 15  2003 ., 13:13
 */

package com.fn.repway;

/**
 *
 * @author  asso
 */
public class HexInputStream extends java.io.InputStream {
    
    private String source;
    private int pos;
    
    /** Creates a new instance of HexInputStream */
    public HexInputStream(String srcStr) {
        source = srcStr;
        pos = 0;
    }
    
    public int read() throws java.io.IOException {
        StringBuffer sb = new StringBuffer();
        sb.append(source.charAt(pos++)).append(source.charAt(pos++));
        try {
            return Integer.parseInt(sb.toString(), 16);
        } catch (Exception e) {
            throw new java.io.IOException("Invalid hex number");
        }
    }
    
}
