/*
 * Layer.java
 *
 * Created on 9  2001 ., 15:14
 */

package com.fn.repway;


import java.util.*;
import org.w3c.dom.Element;


/**
 *
 * @author  asso
 * @version 
 */
class Layer {
    
    private Report report;
    
    private List elements = new LinkedList();

    /** Creates new Layer */
    Layer(Report report, Element tag) throws RepException {
        this.report = report;
        
        for (XMLIterator i = new XMLIterator(tag); i.hasNext(); ) {
            Element subtag = i.next();
            String stn = subtag.getTagName();
            elements.add(ElementFactory.createElement(report, subtag));
        }
    }
    
    public List getElements() {
        return elements;
    }
    
    public void generate(GenContext ctx, Band band, boolean front) throws RepException {
        for (Iterator i = elements.listIterator(); i.hasNext(); )
            ((RepElement)i.next()).generate(ctx, band, front);
    }
}
