package com.fn.repway;

import java.text.*;
import java.util.*;
import org.w3c.dom.Element;

/**
 *
 * @author  asso
 */
public class TimeIntFormatter implements DataField {

    private DataField field = null;
    
    /** Creates a new instance of TextVariable */
    public TimeIntFormatter(Element tag) throws RepException {
        for (XMLIterator i = new XMLIterator(tag); i.hasNext(); ) {
            Element subtag = i.next();
            if (field != null)
                throw new RepException("Too many arguments to time formatter");
            field = FieldFactory.createField(subtag.getTagName(), subtag);
        }
    }
    
    public Value getText(GenContext ctx) throws RepException {
        return new Value(Value.TIMEINT, field.getText(ctx).getAsInt());
    }
    
}

